Name:		xfce4-fsguard-plugin
Version:	0.2.1
Release:	3%{?dist}
Summary:	Filesystem-Guard plugin for the Xfce panel

Group:		User Interface/Desktops
License:	BSD
URL:		http://xfce-goodies.berlios.de/
Source0:	http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.2, libxfcegui4-devel >= 4.2, libxml2-devel
BuildRequires:	gettext
Requires:	xfce4-panel >= 4.2

%description
A little Xfce plugin, which checks the free space on the chosen mountpoint 
frequently. It displays 4 different icons and a message box, depending on the
free space. The amount of free disk space is visible in a tooltip. If you 
left-click on its icon, it opens the mountpoint directory in the file manager.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang xfce4-fsguard

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xfce4-fsguard.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/xfce4/panel-plugins/*.so

%changelog
* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-3
- Require xfce4-panel.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-2
- Add libxfcegui4-devel BuildReqs.
- Fix %defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.1-1
- Initial Fedora Extras version.
- Update to 0.2.1.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc3.cw
- Initial RPM release.
